=== debian/changelog ===
glite-lb-harvester (1.2.3-2) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Fri, 04 May 2012 14:43:04 +0200
