=== debian/control ===
Source: glite-lb-harvester
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), chrpath, docbook-utils, libglite-jobid-api-c-dev, libglite-lb-client-dev, libglite-lb-common-dev, libglite-lbjp-common-gss-dev, libglite-lbjp-common-db-dev, libglite-lbjp-common-log-dev, libglite-lbjp-common-trio-dev, libtool
Standards-Version: 3.9.1
Section: misc
Homepage: http://glite.cern.ch
DM-Upload-Allowed: yes
Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi

Package: glite-lb-harvester
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Enhanced L&B notification client
 L&B Harvester gathers job info from L&B servers using efficient L&B
 notifications. It manages notifications and keeps track of them for reuse on
 next launch. It takes care of refreshing notifications and querying L&B back
 once a notification
 expires.

Package: glite-lb-harvester-dbg
Section: debug
Architecture: any
Priority: extra
Depends: glite-lb-harvester (= ${binary:Version}), ${misc:Depends}
Description: gLite L&B harvester debugging symbols
 This package contains debugging symbols for gLite L&B harvester.
