## glite-lb-harvester 1.3.1

=== Makefile ===
--- 
+++ 
@@ -1,21 +1,33 @@
 top_srcdir=..
 stagedir=.
 package=glite-lb-harvester
-module.version=0.0.0
 PREFIX=/opt/glite
 prefix=
 sysconfdir=/opt/glite/etc
 globus_prefix=/opt/globus
 libdir=lib
 
+default: all
+
 -include Makefile.inc
 -include ${top_srcdir}/project/version.properties
-version:=${module.version}
+
+version=${module.version}
 
 CC=gcc
 VPATH=${top_srcdir}/src:${top_srcdir}/doc
 
-CPPFLAGS:=-I${stagedir}${prefix}/include -D_GNU_SOURCE -D_REENTRANT ${CPPFLAGS}
+SOURCES=\
+	config/startup \
+	doc/* \
+	examples/test.* \
+	project/.post* project/.pre* \
+	src/*.c \
+	Makefile
+SOURCES_EXEC=config/startup examples/*.sh
+
+GLITE_LBJP_COMMON_GSS_CFLAGS?=`PKG_CONFIG_PATH=$$PKG_CONFIG_PATH:${PREFIX}${prefix}/${libdir}/pkgconfig pkg-config glite-security-gss --cflags`
+CPPFLAGS:=-I${stagedir}${prefix}/include -D_GNU_SOURCE -D_REENTRANT ${GLITE_LBJP_COMMON_GSS_CFLAGS} ${CPPFLAGS}
 CFLAGS:=-W -Wall -g -O2 ${CFLAGS}
 LDFLAGS:=${LDFLAGS} 
 ifeq (${thrflavour},)
@@ -45,8 +57,6 @@
 COMPILE:=libtool --mode=compile ${CC} ${CPPFLAGS} ${CFLAGS}
 LINK:=libtool --mode=link ${CC} ${LDFLAGS}
 INSTALL:=libtool --mode=install install
-
-default: all
 
 compile all: startup harvester doc debug
 
@@ -82,8 +92,9 @@
 	${INSTALL} -m 755 startup ${DESTDIR}${PREFIX}${sysconfdir}/init.d/glite-lb-harvester
 
 clean:
-	rm -rfv *.o *.lo *.loT .libs/ manpage.links manpage.refs
-	rm -rvf harvester harvester-dbg glite-lb-harvester.* startup
+	rm -rfv *.o *.lo *.loT .libs/ manpage.links manpage.refs *.log
+	rm -rvf harvester harvester-dbg glite-lb-harvester.1 startup
+	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
 	rm -rvf Makefile.inc *.spec debian/
@@ -103,4 +114,4 @@
 %.1: %.sgml
 	docbook2man $<
 
-.PHONY: default all compile debug check doc stage install clean distclean
+.PHONY: default all compile debug check doc stage install clean distclean dist distcheck
