=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,7 @@
 	dh_prep
 	dh_installdirs
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
-	mv $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-harvester-1.2.3 $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-harvester
+	mv $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-harvester-1.3.1 $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-harvester
 	(cd $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-harvester; \
 	 rm -fv ChangeLog LICENSE; \
 	 cat $(CURDIR)/project/ChangeLog | gzip -9 > changelog.gz)
