## glite-lb-harvester 1.3.8

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 VPATH=${top_srcdir}/src:${top_srcdir}/doc
 
 SOURCES=\
-	config/startup \
+	config/systemd.* config/startup \
 	doc/* \
 	examples/test.* \
 	project/.post* project/.pre* \
@@ -40,6 +40,16 @@
 	-lglite_lb_common_${thrflavour} \
 	-lglite_lb_client_${thrflavour} \
 	-lpthread -lglite_security_gss_${thrflavour}
+endif
+
+ifeq ($(os_type),debian)
+sysdefaultdir=${sysconfdir}/default
+else
+sysdefaultdir=${sysconfdir}/sysconfig
+endif
+
+ifeq ($(os_type),fedora)
+unitdir=`pkg-config systemd --variable=systemdsystemunitdir`
 endif
 
 ifneq ($(GLITE_LB_HARVESTER_WITH_LBU_DB),no)
@@ -65,7 +75,10 @@
 	if echo "${localstatedir}" | grep 'glite'>/dev/null; then \
 		glite_var="${localstatedir}"; \
 	fi; \
-	sed -e 's:@glite_prefix@:${sysroot}${prefix}:' -e 's:@glite_etc@:${sysconfdir}:' -e "s:@glite_var@:$$glite_var:" $< > $@
+	sed -e 's:@glite_prefix@:${sysroot}${prefix}:g' -e 's:@glite_etc@:${sysconfdir}:g' -e "s:@glite_var@:$$glite_var:g" -e 's:@defaultdir@:${sysdefaultdir}:g' $< > $@
+ifneq ($(os_type),debian)
+	sed -i 's/# \(Default-Start\|Default-Stop\):.*/# \1:/' $@
+endif
 	chmod +x $@
 
 check:
@@ -80,16 +93,22 @@
 install: compile
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/bin ${DESTDIR}${PREFIX}${prefix}/${libdir}/glite-lb/examples \
 		${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version} \
+		${DESTDIR}${PREFIX}${prefix}/share/glite \
 		${DESTDIR}${PREFIX}${prefix}/share/man/man1 \
-		${DESTDIR}${PREFIX}${sysconfdir}/init.d \
 		${DESTDIR}${PREFIX}${sysconfdir}/glite-lb
 	${INSTALL} -m 755 harvester ${DESTDIR}${PREFIX}${prefix}/bin/glite-lb-harvester
 	${INSTALL} -m 755 harvester-dbg ${DESTDIR}${PREFIX}${prefix}/${libdir}/glite-lb/examples/glite-lb-harvester-dbg
 	${INSTALL} -m 755 ${top_srcdir}/examples/test.sh ${DESTDIR}${PREFIX}${prefix}/${libdir}/glite-lb/examples/glite-lb-harvester-test.sh
-	${INSTALL} -m 444 ${top_srcdir}/examples/test.sql ${DESTDIR}${PREFIX}${sysconfdir}/glite-lb/harvester-test-dbsetup.sql
+	${INSTALL} -m 444 ${top_srcdir}/examples/test.sql ${DESTDIR}${PREFIX}${prefix}/share/glite/glite-lb-harvester-test-dbsetup.sql
 	${INSTALL} -m 444 ${top_srcdir}/doc/README ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
 	${INSTALL} -m 444 glite-lb-harvester.1 ${DESTDIR}${PREFIX}${prefix}/share/man/man1
+ifeq ($(os_type),fedora)
+	mkdir -p ${DESTDIR}${PREFIX}${unitdir}
+	${INSTALL} -m 644 ${top_srcdir}/config/systemd.harvester ${DESTDIR}${PREFIX}${unitdir}/glite-lb-harvester.service
+else
+	mkdir -p ${DESTDIR}${PREFIX}${sysconfdir}/init.d
 	${INSTALL} -m 755 startup ${DESTDIR}${PREFIX}${sysconfdir}/init.d/glite-lb-harvester
+endif
 
 clean:
 	rm -rfv *.o *.lo *.loT .libs/ manpage.links manpage.refs *.log
@@ -97,7 +116,7 @@
 	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
-	rm -rvf Makefile.inc *.spec debian/
+	rm -rvf project/changelog Makefile.inc *.spec debian/
 
 harvester: harvester.o
 	${LINK} -o $@ $+ ${LIBS}
