=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 clean: configure-stamp
 	dh_testdir
 	dh_testroot
-	rm -f configure-stamp build-stamp
+	rm -f configure-stamp build-stamp debian/glite-lb-harvester.init
 	$(MAKE) clean
 	rm -f Makefile.inc config.status *.spec
 	dh_clean
@@ -40,7 +40,11 @@
 	dh_installdirs
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
 	mkdir -p debian/$(p_base)/usr/share/doc
-	mv debian/tmp/usr/share/doc/glite-lb-harvester-1.3.8 debian/$(p_base)/usr/share/doc/$(p_base)
+	mkdir -p debian/$(p_dbg)/usr/share/doc
+	ln -s $(p_base) debian/$(p_dbg)/usr/share/doc/$(p_dbg)
+	mv debian/tmp/usr/share/doc/glite-lb-harvester-1.3.12 debian/$(p_base)/usr/share/doc/$(p_base)
+	rm -rf debian/tmp/etc/init.d
+	cp -p config/startup.debian.harvester debian/glite-lb-harvester.init
 
 binary-indep:
 
@@ -52,7 +56,7 @@
 	dh_installexamples
 	dh_installman
 	dh_installlogrotate
-	dh_installinit --onlyscripts --no-start
+	dh_installinit
 	dh_installcron
 	dh_install --fail-missing
 	dh_link
