=== debian/changelog ===
glite-lb-harvester (1.3.13-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Fri, 22 Nov 2013 11:57:44 +0100
