=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Package: glite-lb-harvester
 Section: misc
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, glite-lbjp-common-log
+Depends: ${shlibs:Depends}, ${misc:Depends}, glite-lbjp-common-log, adduser
 Description: Enhanced L&B notification client
  L&B Harvester gathers job info from L&B servers using efficient L&B
  notifications. It manages notifications and keeps track of them for reuse on
@@ -26,5 +26,5 @@
 Architecture: any
 Priority: extra
 Depends: glite-lb-harvester (= ${binary:Version}), ${misc:Depends}
-Description: gLite L&B harvester debugging symbols
+Description: Debugging symbols for gLite L&B harvester
  This package contains debugging symbols for gLite L&B harvester.
