=== debian/control ===
Source: glite-lb-harvester
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), docbook-utils, libglite-jobid-api-c-dev, libglite-lb-client-dev, libglite-lb-common-dev, libglite-lbjp-common-gss-dev, libglite-lbjp-common-db-dev, libglite-lbjp-common-log-dev, libglite-lbjp-common-trio-dev, libtool-bin, pkg-config
Standards-Version: 3.9.1
Section: misc
Homepage: http://glite.cern.ch

Package: glite-lb-harvester
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, glite-lbjp-common-log, adduser
Description: Enhanced L&B notification client
 L&B Harvester gathers job info from L&B servers using efficient L&B
 notifications. It manages notifications and keeps track of them for reuse on
 next launch. It takes care of refreshing notifications and querying L&B back
 once a notification
 expires.

Package: glite-lb-harvester-dbg
Section: debug
Architecture: any
Depends: glite-lb-harvester (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for gLite L&B harvester
 L&B Harvester gathers job info from L&B servers using efficient L&B
 notifications. It manages notifications and keeps track of them for reuse on
 next launch. It takes care of refreshing notifications and querying L&B back
 once a notification
 expires.
 .
 This package contains debugging symbols for gLite L&B harvester.
