=== debian/watch ===
version=3
http://scientific.zcu.cz/emi/emi.lb.harvester/glite-lb-harvester-(.*)\.tar\.gz
